Summary:	Clone of ShufflePuck Cafe historical game
Name:		tuxpuck
Version:	0.8.2
Release:	%mkrel 23
Source0:	%{name}-%{version}.tar.bz2
Patch0:		tuxpuck-0.8.2-png15.patch
URL:		http://altruistic.lbl.gov/mirrors/ubuntu/pool/universe/t/tuxpuck/
License:	GPLv2+
Group:		Games/Arcade
BuildRequires:	pkgconfig(sdl) 
BuildRequires:	pkgconfig(libpng) 
BuildRequires:	oggvorbis-devel 
BuildRequires:	pkgconfig(zlib) 
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	freetype2-devel

%description
Anyone remember "Shufflepuck Cafe" for the Amiga/AtariST ?

%prep
%setup -q
%autopatch -p0

%build
perl -pi -e 's/-Werror//' Makefile utils/Makefile
perl -pi -e 's/`sdl-config --cflags`/`sdl-config --cflags` `freetype-config --cflags`/' utils/Makefile
CFLAGS="%optflags %ldflags" CXXFLAGS="%optflags" make

%install
install -m755 %{name} -D %{buildroot}%{_gamesbindir}/%{name}

install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Tuxpuck
Comment=Clone of ShufflePuck Cafee
Exec=%{_gamesbindir}/%name
Icon=arcade_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%files
%doc COPYING 
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.8.2-23.mga8
+ Revision: 1517513
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.8.2-22.mga7
+ Revision: 1301475
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.8.2-21.mga6
+ Revision: 935095
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.2-20.mga5
+ Revision: 739247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.2-19.mga5
+ Revision: 689988
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.8.2-18.mga4
+ Revision: 540742
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 0.8.2-17.mga4
+ Revision: 436950
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 0.8.2-16.mga3
+ Revision: 384885
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 19 2011 zezinho <zezinho> 0.8.2-15.mga2
+ Revision: 145222
- corrected url for source

* Sun Sep 18 2011 fwang <fwang> 0.8.2-14.mga2
+ Revision: 145014
- fix build with libpng1.5

* Sun Jul 10 2011 stormi <stormi> 0.8.2-13.mga2
+ Revision: 121429
- increase release so that it's higher than the one in mageia 1
- remove buildroot definition

* Sat Jul 02 2011 zezinho <zezinho> 0.8.2-12.mga2
+ Revision: 117503
- imported package tuxpuck


* Sun Aug 16 2009 Götz Waschk <waschk@mandriva.org> 0.8.2-12mdv2010.0
+ Revision: 416886
- rebuild for new libjpeg

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.2-11mdv2009.0
+ Revision: 261708
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.2-10mdv2009.0
+ Revision: 254987
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.8.2-8mdv2008.1
+ Revision: 136552
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 0.8.2-8mdv2007.0
+ Revision: 104647
- fix menu

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 0.8.2-7mdv2007.1
+ Revision: 104634
- fix buildrequires
- Import tuxpuck

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 0.8.2-7mdv2007.1
- xdg menu

* Fri Oct 21 2005 Lenny Cartier <lenny@mandriva.com> 0.8.2-6mdk
- rebuild

* Fri Sep 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-5mdk
- fix menu

* Wed Sep 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-4mdk
- fix buildrequires (lib64..)
- cosmetics

* Thu Jul 01 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-3mdk
- rebuild

